Package Details: python-django-auditlog 3.0.0-5

Git Clone URL: https://aur.archlinux.org/python-django-auditlog.git (read-only, click to copy)
Package Base: python-django-auditlog
Description: A Django app that keeps a log of changes made to an object
Upstream URL: https://github.com/jazzband/django-auditlog
Licenses: MIT
Submitter: amo
Maintainer: atomicfs
Last Packager: atomicfs
Votes: 3
Popularity: 0.76
First Submitted: 2023-11-30 15:26 (UTC)
Last Updated: 2024-05-10 10:17 (UTC)

Latest Comments

mroethke commented on 2024-05-10 10:43 (UTC)

:D

Thanks!

atomicfs commented on 2024-05-10 10:16 (UTC)

Oh for F sake, my butter fingers :D Give me a sec to fix it :D

mroethke commented on 2024-05-10 10:15 (UTC)

I just looked at this package again and noticed that you added git as a regular dependency not make dependency. Does this package actually depend on git at runtime?

atomicfs commented on 2024-05-05 13:33 (UTC)

I am sitting at my PC right now, and I just saw a notification to a new email pop up, so yeah :D

And I have been cleaning up my AUR packages since yesterday, so I think it is good idea to quickly respond to any activity.

Regarding clean chroot, I am in a process of improving my AUR maintenance setup. Thanks for the tip ;)

mroethke commented on 2024-05-05 13:27 (UTC)

Thank you for you quick response!

I also noticed, that this particular package also depends on python-setuptools and python-setuptools-scm at build time. You probably do not notice this when building with makepkg directly, but you do using a clean chroot. Which is kind of the gold standard when building packages.

atomicfs commented on 2024-05-05 13:18 (UTC)

git is not dependency of base-devel :O ... ok, let me fix this

mroethke commented on 2024-05-05 13:16 (UTC)

Please add a make dependency to git for packages that build from git, as git is not part of base-devel.

amo commented on 2023-12-01 06:53 (UTC)

You are just missing a make dependency: python-pip. I added it to makedepends and pushed a package update. Thanks for reporting.

derdon commented on 2023-11-30 22:43 (UTC)

Hi,

when I try to build version 2.3.0-1 I get to following error:

/usr/lib/python3.11/site-packages/setuptools/__init__.py:80: _DeprecatedInstaller: setuptools.installer and fetch_build_eggs are deprecated.
!!

        ********************************************************************************
        Requirements should be satisfied by a PEP 517 installer.
        If you are using pip, you can try `pip install --use-pep517`.
        ********************************************************************************

!!
  dist.fetch_build_eggs(dist.setup_requires)
/usr/bin/python: No module named pip
Traceback (most recent call last):
  File "/usr/lib/python3.11/site-packages/setuptools/installer.py", line 101, in _fetch_build_egg_no_warn
    subprocess.check_call(cmd)
  File "/usr/lib/python3.11/subprocess.py", line 413, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpnnr7_sa2', '--quiet', 'setuptools_scm']' returned non-zero exit status 1.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/don/.cache/pikaur/build/python-django-auditlog/src/django-auditlog-2.3.0/setup.py", line 9, in <module>
    setup(
  File "/usr/lib/python3.11/site-packages/setuptools/__init__.py", line 102, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.11/site-packages/setuptools/__init__.py", line 75, in _install_setup_requires
    _fetch_build_eggs(dist)
  File "/usr/lib/python3.11/site-packages/setuptools/__init__.py", line 80, in _fetch_build_eggs
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python3.11/site-packages/setuptools/dist.py", line 674, in fetch_build_eggs
    return _fetch_build_eggs(self, requires)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/setuptools/installer.py", line 38, in _fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/pkg_resources/__init__.py", line 829, in resolve
    dist = self._resolve_dist(
           ^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/pkg_resources/__init__.py", line 865, in _resolve_dist
    dist = best[req.key] = env.best_match(
                           ^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/pkg_resources/__init__.py", line 1135, in best_match
    return self.obtain(req, installer)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/pkg_resources/__init__.py", line 1147, in obtain
    return installer(requirement)
           ^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.11/site-packages/setuptools/installer.py", line 103, in _fetch_build_egg_no_warn
    raise DistutilsError(str(e)) from e
distutils.errors.DistutilsError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpnnr7_sa2', '--quiet', 'setuptools_scm']' returned non-zero exit status 1.